//+------------------------------------------------------------------+
//|                                                        dejur.mq4 |
//|                                        Copyright  2008, mentana |
//|                                                shvalex@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, mentana"
#property link      "shvalex@gmail.com"

//---- input parameters
extern int       MAPeriod=10;
extern int TP=30;
extern int SL=30;
extern double Vol=0.1;

datetime t2=0,t1;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   //if((OrderType()==OP_BUY)||(OrderType()==OP_SELL))//      ?
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
t1=Time[0];

   double MAPeriod1=iMA(NULL,PERIOD_M5,MAPeriod,0,MODE_SMA,PRICE_TYPICAL,1);//1-  
   double MAPeriod2=iMA(NULL,PERIOD_M5,MAPeriod,0,MODE_SMA,PRICE_TYPICAL,2);//2-  
   double MAPeriod3=iMA(NULL,PERIOD_M5,MAPeriod,0,MODE_SMA,PRICE_TYPICAL,3);//3-  
   double MAPeriod4=iMA(NULL,PERIOD_M5,MAPeriod,0,MODE_SMA,PRICE_TYPICAL,4);//4-  
   
   if(t1==t2)return(0);// ...
   if( Close[4]<MAPeriod4 && Close[3]<MAPeriod3 && Close[2]<MAPeriod2 && Close[1]>MAPeriod1)
   {
      OrderSend(Symbol(),OP_BUY,Vol,Ask,2,Bid-SL*Point,Ask+TP*Point,NULL,0,0,Red);
      t2=Time[0];
   }
   if(Close[4]>MAPeriod4 && Close[3]>MAPeriod3 && Close[2]>MAPeriod2 && Close[1]<MAPeriod1)
   {
      OrderSend(Symbol(),OP_SELL,Vol,Bid,2,Ask+SL*Point,Bid-TP*Point,NULL,0,0,Blue);
      t2=Time[0];
   }
         
//----
   return(0);
  }
//+------------------------------------------------------------------+